curl --location --request POST 'https://api.stateset.com/v1/orders/{id}/update' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--data-raw '{
"id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30"
}'
mutation orderUpdateMutation {
orderUpdate(id: "${orderId}") {
order {
id,
status
}
userErrors {
field
message
}
}
}
const orders = await stateset.orders.update('0901f083-aa1c-43c5-af5c-0a9d2fc64e30');
orders = stateset.orders.update('0901f083-aa1c-43c5-af5c-0a9d2fc64e30')
orders = Stateset::Order.update('0901f083-aa1c-43c5-af5c-0a9d2fc64e30')
orders, err := stateset.Orders.update("0901f083-aa1c-43c5-af5c-0a9d2fc64e30")
Order orders = stateset.Orders.update("0901f083-aa1c-43c5-af5c-0a9d2fc64e30");
$orders = $stateset->orders->update('0901f083-aa1c-43c5-af5c-0a9d2fc64e30');
var orders = await stateset.Orders.Update("0901f083-aa1c-43c5-af5c-0a9d2fc64e30");
{
"id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
"object": "order",
"updated": true
}
Update Order
This endpoint updates an order.
POST
/
v1
/
orders
/
{id}
/
update
curl --location --request POST 'https://api.stateset.com/v1/orders/{id}/update' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--data-raw '{
"id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30"
}'
mutation orderUpdateMutation {
orderUpdate(id: "${orderId}") {
order {
id,
status
}
userErrors {
field
message
}
}
}
const orders = await stateset.orders.update('0901f083-aa1c-43c5-af5c-0a9d2fc64e30');
orders = stateset.orders.update('0901f083-aa1c-43c5-af5c-0a9d2fc64e30')
orders = Stateset::Order.update('0901f083-aa1c-43c5-af5c-0a9d2fc64e30')
orders, err := stateset.Orders.update("0901f083-aa1c-43c5-af5c-0a9d2fc64e30")
Order orders = stateset.Orders.update("0901f083-aa1c-43c5-af5c-0a9d2fc64e30");
$orders = $stateset->orders->update('0901f083-aa1c-43c5-af5c-0a9d2fc64e30');
var orders = await stateset.Orders.Update("0901f083-aa1c-43c5-af5c-0a9d2fc64e30");
{
"id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
"object": "order",
"updated": true
}
Path parameters
string
required
The unique identifier of the order.
Body
string
The ID provided in the data tab may be used to identify the order
Response
string
The ID provided in the data tab may be used to identify the order
string
The object type
number
Indicates whether the call was successful. true if successful, false if not.
Errors
Succeeds with201. Failures return 400, 401, 403, 404, 422 or 429 with an error body, per the platform status-code contract.
curl --location --request POST 'https://api.stateset.com/v1/orders/{id}/update' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--data-raw '{
"id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30"
}'
mutation orderUpdateMutation {
orderUpdate(id: "${orderId}") {
order {
id,
status
}
userErrors {
field
message
}
}
}
const orders = await stateset.orders.update('0901f083-aa1c-43c5-af5c-0a9d2fc64e30');
orders = stateset.orders.update('0901f083-aa1c-43c5-af5c-0a9d2fc64e30')
orders = Stateset::Order.update('0901f083-aa1c-43c5-af5c-0a9d2fc64e30')
orders, err := stateset.Orders.update("0901f083-aa1c-43c5-af5c-0a9d2fc64e30")
Order orders = stateset.Orders.update("0901f083-aa1c-43c5-af5c-0a9d2fc64e30");
$orders = $stateset->orders->update('0901f083-aa1c-43c5-af5c-0a9d2fc64e30');
var orders = await stateset.Orders.Update("0901f083-aa1c-43c5-af5c-0a9d2fc64e30");
{
"id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
"object": "order",
"updated": true
}